/* Write your custom CSS here */
.auth-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    width: 100%;
}

.auth-left {
    width: 100%;
    background: #f1f4f9;
}

.auth-right {
    background-size: cover;
    background-position: center;
    height: 100%;
    position: relative;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
}

.right-box {
    padding: 2em;
    border-radius: 15px;
    background-color: rgba(255, 255, 255, 0.8);
    margin: 2em;
}

.login-box {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 2em 1em;
}

.border-right {
    border: none;
}

.hide-mobile {
    display: none !important;
}

@media (min-width: 768px) {
    .auth-container {
        flex-direction: row;
        height: 100vh;
    }

    .auth-left {
        width: 50%;
        order: 1;
    }

    .auth-right {
        width: 50%;
        order: 2;
    }

    .border-right {
        height: 100%;
        padding-right: 20px;
        border-right: 2px solid #fff;
    }

    .right-box {
        margin-bottom: 8em;
        margin-left: 2em;
        width: 450px;
    }

    .hide-mobile {
        display: block !important;
    }
}

@media (min-width: 992px) {
    .auth-left {
        width: 40%;
    }

    .auth-right {
        width: 60%;
    }


    .right-box {
        margin-top: 8em;
        margin-left: 2em;
        width: 550px;
    }
}

@media (min-width: 1200px) {
    .auth-left {
        width: 30%;
    }

    .auth-right {
        width: 70%;
    }
}

#answers input[type="radio"] {
    display: none;
}

.radio-button::before {
    content: "\2718";
    color: red;
    font-size: 16px;
}

input[type="radio"]:checked+.radio-button::before {
    content: "\2714";
    color: green;
}

.isCorrect {
    display: none;
}

input[type="radio"]:checked~.radio-button .isCorrect {
    display: inline-block;
}

.answer-label {
    width: 100%;
    padding: 0.75em;
    border: 1px solid #eee;
    border-radius: 10px;
}

.answer-label:has(input[type="radio"]:checked) {
    border: 1px solid #aaa;
}

.answer-label.correct {
    background-color: #e5f3df;
    border: 1px solid #8bc34a !important;
}

.answer-label.wrong {
    background-color: #f1d9d9;
    border: 1px solid #e14444 !important;
}

.btn-green,
.btn-green:hover {
    background-color: #8bc34a;
    border-color: #8bc34a;
    color: #fff;
}

.list-100 li {
    width: 100% !important;
}

.class-list li .item {
    display: flex;
    padding: 1.5em 3em;
    border: 1px solid #ccc;
    border-radius: 10px;
    text-decoration: none;
    justify-content: space-between;
    align-items: center;
}

.class-list li .item h3 {
    margin: 0;
}

.class-result {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 150px;
}

.class-result p {
    margin: 0;
}

.centered-flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu-mobile {
    display: none;
}

.menu-desktop {
    display: block;
}

.slide-control-buttons {
    display: flex;
    justify-content: space-between
}

@media screen and (max-width: 768px) {
    .menu-mobile {
        display: block;
    }

    .slide-control-buttons {
        flex-direction: column-reverse;
        gap: 15px;
    }

    .menu-desktop {
        display: none;
    }

    .class-list li .item {
        gap: 15px;
        flex-direction: column;
    }

    .class-result {
        gap: 15px;
        flex-direction: column;
    }

    .logo {
        height: 40px !important;
    }

    .page-header-fixed:not(.page-sidebar-fixed):not(.page-horizontal-bar) .page-inner {
        padding: 10px 0 50px
    }
}

.font-22 {
    font-size: 22px !important;
}

.class-list {
    margin-top: 25px;
}

.menu-mobile.open>.dropdown-menu {
    width: 300px;
}

.menu-mobile .dropdown-menu li a {
    padding: 15px 30px;
}